Subject: Re: bug#77857: [PATCH] Let eww-copy-page-url append to existing kill, Re: bug#77857: [PATCH] Let eww-copy-page-url append to existing kill

From: James Thomas <[email-masked]>
Date: Sun, 20 Apr 2025 12:29:39 +0530

Eli Zaretskii writes:

>> From: James Thomas
>> Cc: Eli Zaretskii,  [email-masked]
>> Date: Sat, 19 Apr 2025 14:54:27 +0530
>> 
>> Stefan Kangas writes:
>> 
>> > Makes sense to me, but I think we should make it optional somehow.  It's
>> > not the typical use case, and it changes current behavior.
>> 
>> Eli Zaretskii writes:
>> 
>> > That's an incompatible change in behavior, no?
>> 
>> Well... no (isn't it?). It only happens with 'C-M-w' before 'w', which
>> currently has no effect: (info "(emacs) Appending Kills").
>
> That's the change: previously Emacs produced different results in this
> case.  People might not expect the 'w' command to do that, they might
> expect that their previous kill remains intact.

No, I mean, they'd _have_ to press 'C-M-w' for that to happen, right
before the 'w' - which they'd do only if they wanted this.

I think we're miscommunicating:

  Previously: C-M-w w: A simple copy (so no one would type the C-M-w).
  Now:        C-M-w w: Appended to the previous kill.

(There's no change in 'w's behaviour without an immediately preceding
'C-M-w')

--